
  <!-- Navbar -->
 
  <!-- /.navbar -->



  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
          
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <!-- <li class="breadcrumb-item"><a href="/admin-panel">Accueil</a></li> -->
             
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <div class="card-header">
                <h3 class="card-title">Avocats individuels</h3>
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                <div  class="dataTables_filter">
                 
                  <input type="text" id="client_name" class="form-control " placeholder="Entrez le prénom" aria-controls="example1" style="width: 300px;display:inline;padding:10px;margin-bottom: 3px;"/>
                  <input type="text" id="lawyer_name"class="form-control " placeholder="Entrez le nom de famille" aria-controls="example1" style="width: 300px;display:inline;padding:10px;margin-bottom: 3px">
                  <input type="text" id="phone_number"class="form-control " placeholder="Entrez le numéro de téléphone" aria-controls="example1" style="width: 300px;display:inline;padding:10px;margin-bottom: 3px">
                  <input type="text" id="email" class="form-control " placeholder="Entrez l'email" aria-controls="example1" style="width: 300px;display:inline;padding:10px">
                  <select id="status"class="form-control " placeholder="Entrez l'email" aria-controls="example1" style="width: 300px;display:inline;margin-bottom: 3px">
                    <option value="">Tous les statuts</option>
                    <option value="true">Actif</option>
                    <option value="false">Inactif</option>
                  </select>

                  <input type="text" id="start_date" onfocus="(this.type='date')" onblur="(this.type='text')" class="form-control " placeholder="date d'entrée en vigueur" aria-controls="example1" style="width: 300px;display:inline;padding:10px;margin-bottom: 3px">
                  <input type="text" id="end_date" onfocus="(this.type='date')" onblur="(this.type='text')"  class="form-control " placeholder="date de fin" aria-controls="example1" style="width: 300px;display:inline;padding:10px;padding:10px;margin-bottom: 3px">
                  <input type="button" id="search" class="btn btn-primary"  value="filtre" onclick="handlefilter()" style="width: 300px;display:inline;height:35px">
               
                </div>
                <div class="card-header">
                   
                  <div class="card-tools">
                    <ul class="nav nav-pills ml-auto">
                      <li class="nav-item">
                        <a class="btn btn-primary" href="/admin-panel/createcoupne" >Créer un nouveau coupon</a>
                      </li>
                   
                    </ul>
                  </div>
              </div>
                <table id="example1" class="table table-bordered table-hover">
                  <thead>
                  <tr>
                    <th>Code</th>
                    <th>Montant de la remise</th>
                    <th>Limite d'utilisation</th>
                    <th>Utilisation</th>
                    <th>Statut</th>
                    <th>Distributeur</th>
                   <th>Actions</th>
                  </tr>
                  </thead>
                  <tbody>
                 <% coumodel.forEach(element => { %>
                  <tr>
                    <td><%= element.code %> </td>
                    <td><%= element.discountamount %> </td>
                    <td><%= element.limite %></td>
                    <td><%= element.used %></td> 
                    <td><%= element.status?"Actif":"Inactif" %></td>
                    <td><%= element.distributer %></td>
                   
                    <td>
                      <button onclick='handleview("<%= element._id %>")' class="btn btn-primary" style="width:60px;font-size: smaller;padding: 0%;">Modifier</button><button onclick='handledelete("<%= element._id %>")'  class="btn btn-danger" style="width:70px;padding: 0%;font-size: smaller">Supprimer</button>
                  <button onclick='handleactivate("<%= element._id %>")' class="btn btn-success" style="width:60px;font-size: smaller;padding: 0%;">Activer</button><button onclick='handledeactivate("<%= element._id %>")' class="btn btn-warning" style="width:70px;padding: 0%;font-size: smaller">Désactiver</button>
                </td>
                  </tr>
                  <% }); %>
                  </tbody>
                
                
                
                 
                
                </table>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
  
         
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->


<!-- Page specific script -->
<script>
 
  function handledelete(id){
      var r = confirm("Vous êtes sûr de vouloir supprimer cet Enseignant?");
      const requestOptions = {
            method: 'get',

        };
        let url='/admin-panel/deletecoupen/'+id;
      if (r == true) {
        fetch(url,requestOptions).then(function(response){
          toastr.success("Coupen supprimé avec succès");
          window.location.reload();
        });
      } else {
        window.location.href = "/admin-panel/teachers";
      }
    }
    function handleactivate(id){
      const requestOptions = {
            method: 'get',

        };
      let url='/admin-panel/activatecoupen/'+id;
      fetch(url,requestOptions).then(function(response){
        toastr.success("Enseignant activé avec succès");
       
        window.location.reload();
      });
    }
    function handledeactivate(id){
        const requestOptions = {
            method: 'get',

        };
      let url='/admin-panel/deactivatecoupen/'+id;
      fetch(url,requestOptions).then(function(response){
        toastr.success("Enseignant désactivé avec succès");
        window.location.reload();
      });
    }
    function handleview(id){
      const requestOptions = {
            method: 'get',

        };
      let url='/admin-panel/editcoupen/'+id;
      
      window.location.href = url;
    }
    function handlefilter(){
    var client_name = $("#client_name").val();
    var lawyer_name = $("#lawyer_name").val();
    var start_date = $("#start_date").val();
    var end_date = $("#end_date").val();
    var phone_number = $("#phone_number").val();
    var email = $("#email").val();
    var status = $("#status").val();
    var url='/admin-panel/coupens?first_name='+client_name+'&last_name='+lawyer_name+'&start_date='+start_date+'&end_date='+end_date+'&phone_number='+phone_number+'&email='+email+'&status='+status;
    window.location.href = url;
  }
</script>

